Subject: bug#47408: [PATCH] Etags support for Mercury -- fix explicit tags for existentially-quantified procedures

From: Francesco Potortì <[email-masked]>
Date: Fri, 18 Jun 2021 13:54:54 +0200

> 2. I also removed module names from within tag names. The point is that 
> module name prefixing is optional in most cases

I don't know about Mercurial, but this sounds similar to C++ classes:
the fully-qualified class name is not always necessary.  When possible,
etags creates a fully-qualified name for the tag, like this:

I used ^? and ^A for the non-printable separation characters

        ipc3dLinkControlSetup setup;^?CMultiChannelCSC19_3D::setup^A5,190

If that makes sense, maybe you could choose to do something similar for
Mercurial